libxfont 1:1.4.1-1ubuntu0.4 source package in Ubuntu

Changelog

libxfont (1:1.4.1-1ubuntu0.4) lucid-security; urgency=medium

  * SECURITY UPDATE: arbitrary code exection via invalid property count
    - debian/patches/CVE-2015-1802.patch: check for integer overflow in
      src/bitmap/bdfread.c.
    - CVE-2015-1802
  * SECURITY UPDATE: arbitrary code execution via bitmap data parse failure
    - debian/patches/CVE-2015-1803.patch: bail out if bitmap can't be read
      in src/bitmap/bdfread.c.
    - CVE-2015-1803
  * SECURITY UPDATE: arbitrary code execution via invalid metrics
    - debian/patches/CVE-2015-1804.patch: ensure metrics fit in struct in
      src/bitmap/bdfread.c.
    - CVE-2015-1804
 -- Marc Deslauriers <email address hidden>   Wed, 18 Mar 2015 07:33:52 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2015-03-18
Uploaded to:
Lucid
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
x11
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
libxfont_1.4.1.orig.tar.gz 571.7 KiB edb651e083540d89eba87c221b6c293ea73ba6169df01f647f9562edc515d7f7
libxfont_1.4.1-1ubuntu0.4.diff.gz 25.5 KiB 8656380bb6fd93d4250b846506ad960193e5a6099c92d15b4590d56e05027900
libxfont_1.4.1-1ubuntu0.4.dsc 2.1 KiB 7a4351336794115759ddcb59cc49aa539f4aac92d79ea4da83f55045e27ff6f2

View changes file

Binary packages built by this source

libxfont-dev: No summary available for libxfont-dev in ubuntu lucid.

No description available for libxfont-dev in ubuntu lucid.

libxfont1: No summary available for libxfont1 in ubuntu lucid.

No description available for libxfont1 in ubuntu lucid.

libxfont1-dbg: No summary available for libxfont1-dbg in ubuntu lucid.

No description available for libxfont1-dbg in ubuntu lucid.